| Kea 3.0.2-git

botan_common.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::cryptolink
namespace | isc::cryptolink::btn

## Functions
const std::string | isc::cryptolink::btn::getHashAlgorithmName (isc::cryptolink::HashAlgorithm algorithm)
| Decode the HashAlgorithm enum into a name usable by Botan.
const std::string | isc::cryptolink::btn::getHmacAlgorithmName (isc::cryptolink::HashAlgorithm algorithm)
| Decode the HashAlgorithm enum into a name usable by Botan.